%% Plot the results of experiment 1
% First Plot the algorithms together
% Then plot the results for each algorithm separately

%% Plot the Algorithms Together
figure(1)
subplot(2,2,1)
plot(Sparsity_Levels, L1SQNN.AvgProbD(:,1),'-r.',Sparsity_Levels,L1L2CNN.AvgProbD(:,1),'-gs',Sparsity_Levels, AISS.AvgProbD(:,1),'-bo',Sparsity_Levels, OMP.AvgProbD(:,1),'-k*')
%axis([0 Sparsity_Levels(14)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of Detection','Fontsize',12)
title({'Average Probability of Detection';['Random Arrays, SNR = ', num2str(SNR),' dB, Threshold = 0.001']},'Fontsize',12)
legend('L1SQNN','YALL1', 'AISS','OMP', 'Location','Best')
set(gca,'XTick',Sparsity_Levels)
grid;

subplot(2,2,2)
plot(Sparsity_Levels,L1L2CNN.AvgProbFA(:,1),'-gs',Sparsity_Levels, AISS.AvgProbFA(:,1),'-bo',Sparsity_Levels, OMP.AvgProbFA(:,1),'-k*',Sparsity_Levels,L1SQNN.AvgProbFA(:,1),'-r.')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title({'Average Probability of False Alarm';['Random Arrays, SNR = ', num2str(SNR),' dB, Threshold = 0.001']},'Fontsize',12)
legend('YALL1','AISS', 'OMP','L1SQNN', 'Location','Best')
set(gca,'XTick',Sparsity_Levels)
grid;

subplot(2,2,3)
plot(Sparsity_Levels,AISS.AvgRelErr(:,1),'-bo',Sparsity_Levels,OMP.AvgRelErr(:,1),'-k*',Sparsity_Levels,L1L2CNN.AvgRelErr(:,1),'-gs',Sparsity_Levels, L1SQNN.AvgRelErr(:,1),'-r.')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title({'Average Relative Error';['Random Arrays, SNR = ', num2str(SNR),' dB, Threshold = 0.001']},'Fontsize',12)
legend('AISS','OMP', 'YALL1','L1SQNN', 'Location','Best')
set(gca,'XTick',Sparsity_Levels)
grid;

subplot(2,2,4)
plot(Sparsity_Levels,L1L2CNN.AvgTime,'-gs',Sparsity_Levels, AISS.AvgTime,'-bo',Sparsity_Levels, L1SQNN.AvgTime,'-r.',Sparsity_Levels, OMP.AvgTime,'-k*')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Recovery Time (seconds)','Fontsize',12)
title({'Average Recovery Time';['Random Arrays, SNR = ', num2str(SNR),' dB, Threshold = 0.001']},'Fontsize',12)
legend('YALL1','AISS', 'L1SQNN','OMP', 'Location','Best')
set(gca,'XTick',Sparsity_Levels)
grid;



%% Plot each Algorithm Separately
% The separate curves are associated with different threshold 
% levels, [.001,.01,.1], for detection

figure(2)

subplot(3,2,1)
plot(Sparsity_Levels, OMP.AvgProbD(:,1),'-k+',Sparsity_Levels,OMP.AvgProbD(:,2),'-bo',Sparsity_Levels, OMP.AvgProbD(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Prob of True Detection','Fontsize',12)
title('\it{Average Probability of True Detection OMP}','Fontsize',12)

subplot(3,2,2)
plot(Sparsity_Levels,OMP.AvgProbFA(:,1),'-k+',Sparsity_Levels, OMP.AvgProbFA(:,2),'-bo',Sparsity_Levels, OMP.AvgProbFA(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title('\it{Average Probability of False Alarm OMP}','Fontsize',12)

subplot(3,2,3)
plot(Sparsity_Levels,OMP.AvgRelErr(:,1),'-k+',Sparsity_Levels, OMP.AvgRelErr(:,2),'-bo',Sparsity_Levels, OMP.AvgRelErr(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error with Thresholding}','Fontsize',12)

subplot(3,2,4)
plot(Sparsity_Levels,OMP.AvgRelErrNT,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error without Thresholding}','Fontsize',12)

subplot(3,2,5)
plot(Sparsity_Levels,OMP.AvgNbrItr,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Number of Iterations','Fontsize',12)
title('\it{Average Number of Iterations per Sparsity Level}','Fontsize',12)

subplot(3,2,6)
plot(Sparsity_Levels,OMP.AvgTime,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Average Recovery Time (seconds)','Fontsize',12)
title('\it{Average Recovery Time}','Fontsize',12)

figure(3)

subplot(3,2,1)
plot(Sparsity_Levels, AISS.AvgProbD(:,1),'-k+',Sparsity_Levels,AISS.AvgProbD(:,2),'-bo',Sparsity_Levels, AISS.AvgProbD(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Prob of True Detection','Fontsize',12)
title('\it{Average Probability of True Detection AISS}','Fontsize',12)

subplot(3,2,2)
plot(Sparsity_Levels,AISS.AvgProbFA(:,1),'-k+',Sparsity_Levels, AISS.AvgProbFA(:,2),'-bo',Sparsity_Levels, AISS.AvgProbFA(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title('\it{Average Probability of False Alarm AISS}','Fontsize',12)

subplot(3,2,3)
plot(Sparsity_Levels,AISS.AvgRelErr(:,1),'-k+',Sparsity_Levels, AISS.AvgRelErr(:,2),'-bo',Sparsity_Levels, AISS.AvgRelErr(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error with Thresholding}','Fontsize',12)

subplot(3,2,4)
plot(Sparsity_Levels,AISS.AvgRelErrNT,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error without Thresholding}','Fontsize',12)

subplot(3,2,5)
plot(Sparsity_Levels,AISS.AvgNbrItr,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Number of Iterations','Fontsize',12)
title('\it{Average Number of Iterations per Sparsity Level}','Fontsize',12)

subplot(3,2,6)
plot(Sparsity_Levels,AISS.AvgTime,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Average Recovery Time (seconds)','Fontsize',12)
title('\it{Average Recovery Time}','Fontsize',12)


figure(4)
subplot(3,2,1)
plot(Sparsity_Levels, L1SQNN.AvgProbD(:,1),'-k+',Sparsity_Levels,L1SQNN.AvgProbD(:,2),'-bo',Sparsity_Levels, L1SQNN.AvgProbD(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Prob of True Detection','Fontsize',12)
title('\it{Average Probability of True Detection L1SQNN}','Fontsize',12)

subplot(3,2,2)
plot(Sparsity_Levels,L1SQNN.AvgProbFA(:,1),'-k+',Sparsity_Levels, L1SQNN.AvgProbFA(:,2),'-bo',Sparsity_Levels, L1SQNN.AvgProbFA(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title('\it{Average Probability of False Alarm L1SQNN}','Fontsize',12)

subplot(3,2,3)
plot(Sparsity_Levels,L1SQNN.AvgRelErr(:,1),'-k+',Sparsity_Levels, L1SQNN.AvgRelErr(:,2),'-bo',Sparsity_Levels, L1SQNN.AvgRelErr(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error with Thresholding}','Fontsize',12)

subplot(3,2,4)
plot(Sparsity_Levels,L1SQNN.AvgRelErrNT,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error without Thresholding}','Fontsize',12)

subplot(3,2,5)
plot(Sparsity_Levels,L1SQNN.AvgNbrItr,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Number of Iterations','Fontsize',12)
title('\it{Average Number of Iterations per Sparsity Level}','Fontsize',12)

subplot(3,2,6)
plot(Sparsity_Levels,L1SQNN.AvgTime,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Average Recovery Time (seconds)','Fontsize',12)
title('\it{Average Recovery Time}','Fontsize',12)

figure(5)
subplot(3,2,1)
plot(Sparsity_Levels, L1L2CNN.AvgProbD(:,1),'-k+',Sparsity_Levels,L1L2CNN.AvgProbD(:,2),'-bo',Sparsity_Levels, L1L2CNN.AvgProbD(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Prob of True Detection','Fontsize',12)
title('\it{Average Probability of True Detection L1L2CNN}','Fontsize',12)

subplot(3,2,2)
plot(Sparsity_Levels,L1L2CNN.AvgProbFA(:,1),'-k+',Sparsity_Levels, L1L2CNN.AvgProbFA(:,2),'-bo',Sparsity_Levels, L1L2CNN.AvgProbFA(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title('\it{Average Probability of False Alarm L1L2CNN}','Fontsize',12)

subplot(3,2,3)
plot(Sparsity_Levels,L1L2CNN.AvgRelErr(:,1),'-k+',Sparsity_Levels, L1L2CNN.AvgRelErr(:,2),'-bo',Sparsity_Levels, L1L2CNN.AvgRelErr(:,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error with Thresholding}','Fontsize',12)

subplot(3,2,4)
plot(Sparsity_Levels,L1L2CNN.AvgRelErrNT,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title('\it{Average Relative Error without Thresholding}','Fontsize',12)

subplot(3,2,5)
plot(Sparsity_Levels,L1L2CNN.AvgNbrItr,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Number of Iterations','Fontsize',12)
title('\it{Average Number of Iterations per Sparsity Level}','Fontsize',12)

subplot(3,2,6)
plot(Sparsity_Levels,L1L2CNN.AvgTime,'-k+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Average Recovery Time (seconds)','Fontsize',12)
title('\it{Average Recovery Time}','Fontsize',12)
