%% Plot ROC Together SNR = 15 dB, s= 2,4,6,8,10,12,15
figure(100)
plot(L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-k.',...
     L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-b*',...
     L1SQNNR.AvgProbFA(8,2:15,3),L1SQNNR.AvgProbD(8,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(10,2:15,3),L1SQNNR.AvgProbD(10,2:15,3),'-gd',...
     L1SQNNR.AvgProbFA(12,2:15,3),L1SQNNR.AvgProbD(12,2:15,3),'-mx',...
     L1SQNNR.AvgProbFA(15,2:15,3),L1SQNNR.AvgProbD(15,2:15,3),'-c+')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, SNR = 15 dB','Fontsize',12)
legend('s = 2','s = 5', 's = 8','s = 10', 's = 12', 's = 15' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% Plot Several Together
% Plot SNR = Inf, 30, 15 dB, Sparsity = 5, 10, 15
figure(102)

plot(L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNR.AvgProbFA(5,2:15,2),L1SQNNR.AvgProbD(5,2:15,2),'-k*',...
    L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-kx',...
     L1SQNNR.AvgProbFA(10,2:15,1),L1SQNNR.AvgProbD(10,2:15,1),'-b.',...
     L1SQNNR.AvgProbFA(10,2:15,2),L1SQNNR.AvgProbD(10,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(10,2:15,3),L1SQNNR.AvgProbD(10,2:15,3),'-bx',...
     L1SQNNR.AvgProbFA(15,2:15,1),L1SQNNR.AvgProbD(15,2:15,1),'-r.',...
     L1SQNNR.AvgProbFA(15,2:15,2),L1SQNNR.AvgProbD(15,2:15,2),'-r*',...
     L1SQNNR.AvgProbFA(15,2:15,3),L1SQNNR.AvgProbD(15,2:15,3),'-rx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm')
ylabel('Probability of Detection')
title({'ROC curves for L1SQNN with Random Array'})
legend('s = 5, No Noise', 's = 5, SNR = 30 dB','s = 5, SNR = 15 dB', 's = 10, No Noise', 's = 10, SNR = 30 dB','s = 10, SNR = 15 dB', 's = 15, No Noise', 's = 15, SNR = 30 dB','s = 15, SNR = 15 dB','Location','Best')
%set(gca,'XTick',1:15)
grid;

%% Plot ROC Together SNR = 15 dB, s= 3,6,9,12,15
figure(99)
plot(L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-k.',...
     L1SQNNR.AvgProbFA(6,2:15,3),L1SQNNR.AvgProbD(6,2:15,3),'-b*',...
     L1SQNNR.AvgProbFA(9,2:15,3),L1SQNNR.AvgProbD(9,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(12,2:15,3),L1SQNNR.AvgProbD(12,2:15,3),'-gd',...
     L1SQNNR.AvgProbFA(15,2:15,3),L1SQNNR.AvgProbD(15,2:15,3),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, SNR = 15 dB','Fontsize',12)
legend('s = 3','s = 6', 's = 9','s = 12', 's = 15','Location','Best')
%set(gca,'XTick',1:15)
grid;

%% ROC Curves based on Data
% Sparsity 5, 10 and 15

figure(100)

subplot(2,2,1)
plot(L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-kx',...
     L1SQNNR.AvgProbFA(10,2:15,1),L1SQNNR.AvgProbD(10,2:15,1),'-ko',...
     L1SQNNR.AvgProbFA(15,2:15,1),L1SQNNR.AvgProbD(15,2:15,1),'-kd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Avg Prob of False Alarm','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{ROC for L1SQNN, Random Array,}';'\it{No Noise, \lambda = 24, Sparsity = 5, 10, 15}'})
%legend('t = .1', 't = .5','t = .8', 't = .9','t = .99','t = .999','Location','Best')
%set(gca,'XTick',1:15)
grid;

subplot(2,2,2)
plot(L1SQNNR.AvgProbFA(5,2:15,2),L1SQNNR.AvgProbD(5,2:15,2),'-kx',...
     L1SQNNR.AvgProbFA(10,2:15,2),L1SQNNR.AvgProbD(10,2:15,2),'-ko',...
     L1SQNNR.AvgProbFA(15,2:15,2),L1SQNNR.AvgProbD(15,2:15,2),'-kd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Avg Prob of False Alarm','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{ROC for L1SQNN, Random Array,}';'\it{SNR = 30 dB, \lambda = 15, Sparsity = 5, 10, 15}'})
%legend('t = .1', 't = .5','t = .8', 't = .9','t = .99','t = .999','Location','Best')
%set(gca,'XTick',1:15)
grid;

subplot(2,2,3)

plot(L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-kx',...
     L1SQNNR.AvgProbFA(10,2:15,3),L1SQNNR.AvgProbD(10,2:15,3),'-ko',...
     L1SQNNR.AvgProbFA(15,2:15,3),L1SQNNR.AvgProbD(15,2:15,3),'-kd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Avg Prob of False Alarm','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{ROC for L1SQNN, Random Array,}';'\it{SNR = 15 dB, \lambda = 5, Sparsity = 5, 10, 15}'})
%legend('t = .1', 't = .5','t = .8', 't = .9','t = .99','t = .999','Location','Best')
%set(gca,'XTick',1:15)
grid;

%%
% Sparsity 3,6 and 9

figure(101)

subplot(2,2,1)
plot(L1SQNNR.AvgProbFA(3,2:15,1),L1SQNNR.AvgProbD(3,2:15,1),'-kx',...
     L1SQNNR.AvgProbFA(6,2:15,1),L1SQNNR.AvgProbD(6,2:15,1),'-ko',...
     L1SQNNR.AvgProbFA(9,2:15,1),L1SQNNR.AvgProbD(9,2:15,1),'-kd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Avg Prob of False Alarm','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{ROC for L1SQNN, Random Array,}';'\it{No Noise, \lambda = 24, Sparsity = 3, 6, 9}'})
%legend('t = .1', 't = .5','t = .8', 't = .9','t = .99','t = .999','Location','Best')
%set(gca,'XTick',1:15)
grid;

subplot(2,2,2)
plot(L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-kx',...
     L1SQNNR.AvgProbFA(6,2:15,2),L1SQNNR.AvgProbD(6,2:15,2),'-ko',...
     L1SQNNR.AvgProbFA(9,2:15,2),L1SQNNR.AvgProbD(9,2:15,2),'-kd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Avg Prob of False Alarm','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{ROC for L1SQNN, Random Array,}';'\it{SNR = 30 dB, \lambda = 15, Sparsity = 3, 6, 9}'})
%legend('t = .1', 't = .5','t = .8', 't = .9','t = .99','t = .999','Location','Best')
%set(gca,'XTick',1:15)
grid;

subplot(2,2,3)
plot(L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-kx',...
     L1SQNNR.AvgProbFA(6,2:15,3),L1SQNNR.AvgProbD(6,2:15,3),'-ko',...
     L1SQNNR.AvgProbFA(9,2:15,3),L1SQNNR.AvgProbD(9,2:15,3),'-kd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Avg Prob of False Alarm','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{ROC for L1SQNN, Random Array,}';'\it{SNR = 15 dB, \lambda = 5, Sparsity = 3, 6, 9}'})
%legend('t = .1', 't = .5','t = .8', 't = .9','t = .99','t = .999','Location','Best')
%set(gca,'XTick',1:15)
grid;




%% Plot Together SNR = 30, s=3,6,9,12,15

figure(103)
plot(L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-k.',...
     L1SQNNR.AvgProbFA(6,2:15,2),L1SQNNR.AvgProbD(6,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(9,2:15,2),L1SQNNR.AvgProbD(9,2:15,2),'-ro',...
     L1SQNNR.AvgProbFA(12,2:15,2),L1SQNNR.AvgProbD(12,2:15,2),'-g.',...
     L1SQNNR.AvgProbFA(15,2:15,2),L1SQNNR.AvgProbD(15,2:15,2),'-m*')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm')
ylabel('Probability of Detection')
title({'\it{L1SQNN with Random Array, SNR = 30 dB}'})
legend('s = 3','s = 6', 's = 9','s = 12', 's = 15','Location','Best')
%set(gca,'XTick',1:15)
grid;

%% Plot L1SQNNR data for each threshold for SNR = Inf, SNR = 30dB, SNR = 15dB

% First SNR =Inf

figure(104)

subplot(2,2,1)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,2,1),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,4,1),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,5,1),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,7,1),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,8,1),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,9,1),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,10,1),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{Avg Prob of True Detection with L1SQNN}';'\it{Random Array, No Noise, \lambda = 24}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,2)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,2,1),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,4,1),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,5,1),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,7,1),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,8,1),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,9,1),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,10,1),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title({'\it{Avg Prob of False Alarm with L1SQNN}';'\it{Random Array, No Noise, \lambda = 24}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,3)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,2,1),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,4,1),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,5,1),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,7,1),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,8,1),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,9,1),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,10,1),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title({'\it{Avg Relative Error after Thresholding with L1SQNN}';'\it{Random Array, No Noise, \lambda = 24}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,4)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,2,1),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,4,1),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,5,1),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,7,1),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,8,1),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,9,1),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,10,1),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error on True Support','Fontsize',12)
title({'\it{Avg Relative Error on True Support after Thresholding with L1SQNN}';'\it{Random Array, No Noise, \lambda = 24}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

%%
% SNR = 30dB

figure(105)

subplot(2,2,1)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,2,2),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,4,2),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,5,2),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,7,2),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,8,2),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,9,2),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,10,2),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{Avg Prob of True Detection with L1SQNN}';'\it{Random Array, SNR = 30 dB, \lambda = 12}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,2)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,2,2),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,4,2),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,5,2),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,7,2),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,8,2),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,9,2),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,10,2),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title({'\it{Avg Prob of False Alarm with L1SQNN}';'\it{Random Array, SNR = 30 dB, \lambda = 12}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,3)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,2,2),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,4,2),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,5,2),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,7,2),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,8,2),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,9,2),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,10,2),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title({'\it{Avg Relative Error after Thresholding with L1SQNN}';'\it{Random Array, SNR = 30 dB, \lambda = 12}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,4)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,2,2),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,4,2),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,5,2),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,7,2),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,8,2),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,9,2),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,10,2),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error on True Support','Fontsize',12)
title({'\it{Avg Relative Error on True Support after Thresholding with L1SQNN}';'\it{Random Array, SNR = 30 dB, \lambda = 12}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

%%
% SNR = 15dB

figure(106)

subplot(2,2,1)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,2,3),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,4,3),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,5,3),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,7,3),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,8,3),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,9,3),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbD(1:15,10,3),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of True Detection','Fontsize',12)
title({'\it{Avg Prob of True Detection with L1SQNN}';'\it{Random Array, SNR = 15 dB, \lambda = 5}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,2)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,2,3),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,4,3),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,5,3),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,7,3),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,8,3),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,9,3),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgProbFA(1:15,10,3),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Prob of False Alarm','Fontsize',12)
title({'\it{Avg Prob of False Alarm with L1SQNN}';'\it{Random Array, SNR = 15 dB, \lambda = 5}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,3)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,2,3),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,4,3),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,5,3),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,7,3),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,8,3),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,9,3),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErr(1:15,10,3),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error','Fontsize',12)
title({'\it{Avg Relative Error after Thresholding with L1SQNN}';'\it{Random Array, SNR = 15 dB, \lambda = 5}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,4)
plot(Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,2,3),'-kx',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,4,3),'-bo',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,5,3),'-rd',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,7,3),'-gs',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,8,3),'-m^',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,9,3),'-yh',...
    Sparsity_Levels(1:15),L1SQNNR.AvgRelErrS(1:15,10,3),'-cp')
%axis([0 Sparsity_Levels(1:15)(end)]);
xlabel('Sparsity Level','Fontsize',12)
ylabel('Avg Relative Error on True Support','Fontsize',12)
title({'\it{Avg Relative Error on True Support after Thresholding with L1SQNN}';'\it{Random Array, SNR = 15 dB, \lambda = 5}'})
legend('t = 0.001','t = 0.1', 't = 0.5','t = 0.8', 't = 0.9','t = 0.99','t = 0.999','Location','Best')
set(gca,'XTick',1:15)
grid;