%%
% SNR = Inf, 50, 25 and 15 dB
% Thresholds threshold=[0.0,0.0001,0.001,0.01,0.1,0.2,0.3,0.4,0.5,0.6,0.7,.8,0.9,.99,.999]; 
% First Plot ROC curves, then Number of Iteration Curves
% Load data for SNR=Inf, beta is [1.1, 1.3, 1.5, 1.7, 1.9]

clear all;
load('Experiment_4_Data_1.mat')
L1SQNNRINF=L1SQNNR;
load('Experiment_4_Data_2.mat')
L1SQNNR50=L1SQNNR;
load('Experiment_4_Data_3.mat')
L1SQNNR25=L1SQNNR;
load('Experiment_4_Data_4.mat')
L1SQNNR15=L1SQNNR;

%% Plot ROC Together  s=5,8,12
figure(401)
subplot(2,2,1)
plot(L1SQNNRINF.AvgProbFA(5,2:15,1),L1SQNNRINF.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNRINF.AvgProbFA(5,2:15,2),L1SQNNRINF.AvgProbD(5,2:15,2),'-b.',...
    L1SQNNRINF.AvgProbFA(5,2:15,3),L1SQNNRINF.AvgProbD(5,2:15,3),'-r.',...
    L1SQNNRINF.AvgProbFA(5,2:15,4),L1SQNNRINF.AvgProbD(5,2:15,4),'-g.',...
    L1SQNNRINF.AvgProbFA(5,2:15,5),L1SQNNRINF.AvgProbD(5,2:15,5),'-m.',...
    L1SQNNRINF.AvgProbFA(8,2:15,1),L1SQNNRINF.AvgProbD(8,2:15,1),'-ko',...
    L1SQNNRINF.AvgProbFA(8,2:15,2),L1SQNNRINF.AvgProbD(8,2:15,2),'-bo',...
    L1SQNNRINF.AvgProbFA(8,2:15,3),L1SQNNRINF.AvgProbD(8,2:15,3),'-ro',...
    L1SQNNRINF.AvgProbFA(8,2:15,4),L1SQNNRINF.AvgProbD(8,2:15,4),'-go',...
    L1SQNNRINF.AvgProbFA(8,2:15,5),L1SQNNRINF.AvgProbD(8,2:15,5),'-mo',...
    L1SQNNRINF.AvgProbFA(12,2:15,1),L1SQNNRINF.AvgProbD(12,2:15,1),'-kp',...
    L1SQNNRINF.AvgProbFA(12,2:15,2),L1SQNNRINF.AvgProbD(12,2:15,2),'-bp',...
    L1SQNNRINF.AvgProbFA(12,2:15,3),L1SQNNRINF.AvgProbD(12,2:15,3),'-rp',...
    L1SQNNRINF.AvgProbFA(12,2:15,4),L1SQNNRINF.AvgProbD(12,2:15,4),'-gp',...
    L1SQNNRINF.AvgProbFA(12,2:15,5),L1SQNNRINF.AvgProbD(12,2:15,5),'-mp')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, No Noise','Fontsize',12)
legend('\beta = 10','\beta = 15', '\beta = 20','\beta = 25','\beta = 30','Location','Best')
%set(gca,'XTick',1:15)
grid;
line([.006, .01555],[.93, .468]);
line([0, .006],[.93, .46]);
rectangle('Position', [0, .93, .006, .05], ...
          'EdgeColor', [0.4, 0.1, 0.4]);
x_a = 0.208; y_a = 0.615; w_a = 0.13; h_a = 0.13;
ax = axes('Units', 'Normalized', ...
          'Position', [x_a, y_a, w_a, h_a], ...
          'XTick', [], ...
          'YTick', [], ...
          'Box', 'on', ...
          'LineWidth', 2, ...
          'Color', [0.95, 0.99, 0.95]);
hold on;
plot(L1SQNNRINF.AvgProbFA(5,2:15,1),L1SQNNRINF.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNRINF.AvgProbFA(5,2:15,2),L1SQNNRINF.AvgProbD(5,2:15,2),'-b.',...
    L1SQNNRINF.AvgProbFA(5,2:15,3),L1SQNNRINF.AvgProbD(5,2:15,3),'-r.',...
    L1SQNNRINF.AvgProbFA(5,2:15,4),L1SQNNRINF.AvgProbD(5,2:15,4),'-g.',...
    L1SQNNRINF.AvgProbFA(5,2:15,5),L1SQNNRINF.AvgProbD(5,2:15,5),'-m.')
xlabel('Zoom for s = 5','Fontsize',12);
axis([0, .01, .93, .98]);
hold off


subplot(2,2,2)
plot(L1SQNNR50.AvgProbFA(5,2:15,1),L1SQNNR50.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNR50.AvgProbFA(5,2:15,2),L1SQNNR50.AvgProbD(5,2:15,2),'-b.',...
    L1SQNNR50.AvgProbFA(5,2:15,3),L1SQNNR50.AvgProbD(5,2:15,3),'-r.',...
    L1SQNNR50.AvgProbFA(5,2:15,4),L1SQNNR50.AvgProbD(5,2:15,4),'-g.',...
    L1SQNNR50.AvgProbFA(5,2:15,5),L1SQNNR50.AvgProbD(5,2:15,5),'-m.',...
    L1SQNNR50.AvgProbFA(8,2:15,1),L1SQNNR50.AvgProbD(8,2:15,1),'-ko',...
    L1SQNNR50.AvgProbFA(8,2:15,2),L1SQNNR50.AvgProbD(8,2:15,2),'-bo',...
    L1SQNNR50.AvgProbFA(8,2:15,3),L1SQNNR50.AvgProbD(8,2:15,3),'-ro',...
    L1SQNNR50.AvgProbFA(8,2:15,4),L1SQNNR50.AvgProbD(8,2:15,4),'-go',...
    L1SQNNR50.AvgProbFA(8,2:15,5),L1SQNNR50.AvgProbD(8,2:15,5),'-mo',...
    L1SQNNR50.AvgProbFA(12,2:15,1),L1SQNNR50.AvgProbD(12,2:15,1),'-kp',...
    L1SQNNR50.AvgProbFA(12,2:15,2),L1SQNNR50.AvgProbD(12,2:15,2),'-bp',...
    L1SQNNR50.AvgProbFA(12,2:15,3),L1SQNNR50.AvgProbD(12,2:15,3),'-rp',...
    L1SQNNR50.AvgProbFA(12,2:15,4),L1SQNNR50.AvgProbD(12,2:15,4),'-gp',...
    L1SQNNR50.AvgProbFA(12,2:15,5),L1SQNNR50.AvgProbD(12,2:15,5),'-mp')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, SNR = 50 dB','Fontsize',12)
legend('\beta = 10','\beta = 14', '\beta = 18','\beta = 22','\beta = 26','Location','Best')
%set(gca,'XTick',1:15)
grid;
line([.006, .01555],[.93, .468]);
line([0, .006],[.93, .46]);
rectangle('Position', [0, .93, .006, .05], ...
          'EdgeColor', [0.4, 0.1, 0.4]);
x_a = 0.648; y_a = 0.615; w_a = 0.13; h_a = 0.13;
ax = axes('Units', 'Normalized', ...
          'Position', [x_a, y_a, w_a, h_a], ...
          'XTick', [], ...
          'YTick', [], ...
          'Box', 'on', ...
          'LineWidth', 2, ...
          'Color', [0.95, 0.99, 0.95]);
hold on;
plot(L1SQNNR50.AvgProbFA(5,2:15,1),L1SQNNR50.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNR50.AvgProbFA(5,2:15,2),L1SQNNR50.AvgProbD(5,2:15,2),'-b.',...
    L1SQNNR50.AvgProbFA(5,2:15,3),L1SQNNR50.AvgProbD(5,2:15,3),'-r.',...
    L1SQNNR50.AvgProbFA(5,2:15,4),L1SQNNR50.AvgProbD(5,2:15,4),'-g.',...
    L1SQNNR50.AvgProbFA(5,2:15,5),L1SQNNR50.AvgProbD(5,2:15,5),'-m.')
xlabel('Zoom for s = 5','Fontsize',12);
axis([0, .01, .95, .975]);
hold off

subplot(2,2,3)
plot(L1SQNNR25.AvgProbFA(5,2:15,1),L1SQNNR25.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNR25.AvgProbFA(5,2:15,2),L1SQNNR25.AvgProbD(5,2:15,2),'-b.',...
    L1SQNNR25.AvgProbFA(5,2:15,3),L1SQNNR25.AvgProbD(5,2:15,3),'-r.',...
    L1SQNNR25.AvgProbFA(5,2:15,4),L1SQNNR25.AvgProbD(5,2:15,4),'-g.',...
    L1SQNNR25.AvgProbFA(5,2:15,5),L1SQNNR25.AvgProbD(5,2:15,5),'-m.',...
    L1SQNNR25.AvgProbFA(8,2:15,1),L1SQNNR25.AvgProbD(8,2:15,1),'-ko',...
    L1SQNNR25.AvgProbFA(8,2:15,2),L1SQNNR25.AvgProbD(8,2:15,2),'-bo',...
    L1SQNNR25.AvgProbFA(8,2:15,3),L1SQNNR25.AvgProbD(8,2:15,3),'-ro',...
    L1SQNNR25.AvgProbFA(8,2:15,4),L1SQNNR25.AvgProbD(8,2:15,4),'-go',...
    L1SQNNR25.AvgProbFA(8,2:15,5),L1SQNNR25.AvgProbD(8,2:15,5),'-mo',...
    L1SQNNR25.AvgProbFA(12,2:15,1),L1SQNNR25.AvgProbD(12,2:15,1),'-kp',...
    L1SQNNR25.AvgProbFA(12,2:15,2),L1SQNNR25.AvgProbD(12,2:15,2),'-bp',...
    L1SQNNR25.AvgProbFA(12,2:15,3),L1SQNNR25.AvgProbD(12,2:15,3),'-rp',...
    L1SQNNR25.AvgProbFA(12,2:15,4),L1SQNNR25.AvgProbD(12,2:15,4),'-gp',...
    L1SQNNR25.AvgProbFA(12,2:15,5),L1SQNNR25.AvgProbD(12,2:15,5),'-mp')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, SNR = 25 dB','Fontsize',12)
legend('\beta = 4','\beta = 7', '\beta = 10','\beta = 13','\beta = 16','Location','Best')
%set(gca,'XTick',1:15)
grid;

subplot(2,2,4)
plot(L1SQNNR15.AvgProbFA(5,2:15,1),L1SQNNR15.AvgProbD(5,2:15,1),'-k.',...
    L1SQNNR15.AvgProbFA(5,2:15,2),L1SQNNR15.AvgProbD(5,2:15,2),'-b.',...
    L1SQNNR15.AvgProbFA(5,2:15,3),L1SQNNR15.AvgProbD(5,2:15,3),'-r.',...
    L1SQNNR15.AvgProbFA(5,2:15,4),L1SQNNR15.AvgProbD(5,2:15,4),'-g.',...
    L1SQNNR15.AvgProbFA(5,2:15,5),L1SQNNR15.AvgProbD(5,2:15,5),'-m.',...
    L1SQNNR15.AvgProbFA(8,2:15,1),L1SQNNR15.AvgProbD(8,2:15,1),'-ko',...
    L1SQNNR15.AvgProbFA(8,2:15,2),L1SQNNR15.AvgProbD(8,2:15,2),'-bo',...
    L1SQNNR15.AvgProbFA(8,2:15,3),L1SQNNR15.AvgProbD(8,2:15,3),'-ro',...
    L1SQNNR15.AvgProbFA(8,2:15,4),L1SQNNR15.AvgProbD(8,2:15,4),'-go',...
    L1SQNNR15.AvgProbFA(8,2:15,5),L1SQNNR15.AvgProbD(8,2:15,5),'-mo',...
    L1SQNNR15.AvgProbFA(12,2:15,1),L1SQNNR15.AvgProbD(12,2:15,1),'-kp',...
    L1SQNNR15.AvgProbFA(12,2:15,2),L1SQNNR15.AvgProbD(12,2:15,2),'-bp',...
    L1SQNNR15.AvgProbFA(12,2:15,3),L1SQNNR15.AvgProbD(12,2:15,3),'-rp',...
    L1SQNNR15.AvgProbFA(12,2:15,4),L1SQNNR15.AvgProbD(12,2:15,4),'-gp',...
    L1SQNNR15.AvgProbFA(12,2:15,5),L1SQNNR15.AvgProbD(12,2:15,5),'-mp')
axis([0 .04 0 1]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, SNR = 15 dB','Fontsize',12)
legend('\beta = 2','\beta = 5', '\beta = 8','\beta = 11','\beta = 14','Location','Best')
%set(gca,'XTick',1:15)
grid;

%% Plot the number of Iterations
figure(402)
subplot(2,2,1)
plot(Sparsity_Levels,L1SQNNRINF.AvgNbrItr(:,1,5),'-mp',...
    Sparsity_Levels,L1SQNNRINF.AvgNbrItr(:,1,4),'-gs',...
    Sparsity_Levels,L1SQNNRINF.AvgNbrItr(:,1,3),'-r.',...
    Sparsity_Levels,L1SQNNRINF.AvgNbrItr(:,1,2),'-bo',...
    Sparsity_Levels,L1SQNNRINF.AvgNbrItr(:,1,1),'-kx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',14)
ylabel('Avg Number of Iterations','Fontsize',14)
title({'Average Number of Iterations, No Noise'},'Fontsize',14)
legend('\beta = 30','\beta = 25', '\beta = 20','\beta = 15','\beta = 10','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,2)
plot(Sparsity_Levels,L1SQNNR50.AvgNbrItr(:,1,5),'-mp',...
    Sparsity_Levels,L1SQNNR50.AvgNbrItr(:,1,4),'-gs',...
    Sparsity_Levels,L1SQNNR50.AvgNbrItr(:,1,3),'-r.',...
    Sparsity_Levels,L1SQNNR50.AvgNbrItr(:,1,2),'-bo',...
    Sparsity_Levels,L1SQNNR50.AvgNbrItr(:,1,1),'-kx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',14)
ylabel('Avg Number of Iterations','Fontsize',14)
title({'Average Number of Iterations, SNR = 50 dB'},'Fontsize',14)
legend('\beta = 26','\beta = 22', '\beta = 18','\beta = 14','\beta = 10','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,3)
plot(Sparsity_Levels,L1SQNNR25.AvgNbrItr(:,1,5),'-mp',...
    Sparsity_Levels,L1SQNNR25.AvgNbrItr(:,1,4),'-gs',...
    Sparsity_Levels,L1SQNNR25.AvgNbrItr(:,1,3),'-r.',...
    Sparsity_Levels,L1SQNNR25.AvgNbrItr(:,1,2),'-bo',...
    Sparsity_Levels,L1SQNNR25.AvgNbrItr(:,1,1),'-kx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',14)
ylabel('Avg Number of Iterations','Fontsize',14)
title({'Average Number of Iterations, SNR = 25 dB'},'Fontsize',14)
legend('\beta = 16','\beta = 13', '\beta = 10','\beta = 7','\beta = 4','Location','Best')
set(gca,'XTick',1:15)
grid;

subplot(2,2,4)
plot(Sparsity_Levels,L1SQNNR15.AvgNbrItr(:,1,5),'-mp',...
    Sparsity_Levels,L1SQNNR15.AvgNbrItr(:,1,4),'-gs',...
    Sparsity_Levels,L1SQNNR15.AvgNbrItr(:,1,3),'-r.',...
    Sparsity_Levels,L1SQNNR15.AvgNbrItr(:,1,2),'-bo',...
    Sparsity_Levels,L1SQNNR15.AvgNbrItr(:,1,1),'-kx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Sparsity Level','Fontsize',14)
ylabel('Avg Number of Iterations','Fontsize',14)
title({'Average Number of Iterations, SNR = 15 dB'},'Fontsize',14)
legend('\beta = 14','\beta = 11', '\beta = 8','\beta = 5','\beta = 2','Location','Best')
set(gca,'XTick',1:15)
grid;



