function [A_T,A_R] = AntennaArray( p,q,lambda,M,N,U,Values_U)
% Build Antenna Arrays A_T and A_R
% Matrices to store array manifolds for each angle by column

A_T=zeros(M,U);
A_R=zeros(N,U);

a=exp(2*pi*1i/lambda);
a_T=a.^p;           % array manifolds for azimuth domain
a_R=a.^q;   

for j=1:U
   A_T(:,j)= a_T.^Values_U(j);
   A_R(:,j)= a_R.^Values_U(j);
end


end

