function [ chirp1, weight, A_F, A_G, A_H ] = LinearChirp( M,Q,V,W,alpha,T,f_c,Values_tau, Values_upsilon, Values_T_d )
% Create Matrix to store linear chirps
% the entry of chirp(m,q)=s_m(t_q)
% Also create matrices for measurement matrix
% For Angle, Delay and Doppler without vectorization
% Michael F Minner


chirp1 = zeros(M,Q);       % Store LFM chirps
A_F = zeros(M,V);          % Values needed for measurement matrix
A_G = zeros(Q,V);
A_H = zeros(Q,W);

t= Values_T_d;             % values of t_q'

f_m = f_c+alpha*T;         % values of f_m = f_c+m*alpha*T

weight=ones(M,1);          % no weights
                           % values of tau_k - tau_0
Values_tau_shifted=Values_tau-Values_tau(1);

for m=1:M
    chirp1(m,:) = exp(1i*2*pi*(.5*alpha.*t.^2+f_m.*t));
    A_F(m,:)=exp(-1i*2*pi*f_m.*Values_tau_shifted);
    f_m = f_m+alpha*T;
end

for q=1:Q
    A_G(q,:) = exp(-1i*2*pi*alpha*t(q).*Values_tau_shifted);
    A_H(q,:) = exp(-1i*2*pi*(t(q)+Values_tau(1)).*Values_upsilon);
end

 
end
