function [ A ] = MeasurementMatrixVectorized(A_R, A_T, A_F, A_G, A_H, weight,M,N,Q,U,V,W,K)
% Measurement Matrix with Angle, Range and Velocity
% Vectorized
% Michael F Minner

A=zeros(M*N*Q,K);             % measurment matrix
index=1;                     % keep track of which column of A we are filling in

% A_R and A_T store array manifolds for each angle by column

for u=1:U
    for v=1:V
        for w=1:W
            a=A_G(:,v).*A_H(:,w);
            b=kron(A_R(:,u),a);
            c=(weight(:,1).*A_T(:,u)).*A_F(:,v);
            A(:,index)=kron(c,b);
            index=index+1;
        end
    end
end


end
