function [ signal, grid, supp] = TargetScene(P,U,V,W,K)
% P must be positive integer
% Michael F Minner

signal=zeros(K,1);            % initialize the signal

% build support in azimuth and range, then add Doppler
grid=zeros(3,P);
grid(:,1)=[randsample(U,1);randsample(V,1);randsample(W,1)];   % first target location
flag=1;
while flag<P
    ii=randsample(U,1);       % possible azimuth and range location
    jj=randsample(V,1);
    if max((ii==grid(1,:))+(jj==grid(2,:)))~=2  % check if bin is unoccupied
        kk=randsample(W,1);   % doppler for target
        flag=flag+1;
        grid(:,flag)=[ii;jj;kk]; % add new target to support
    end
end
supp=sort(SceneLocate(grid(1,:),grid(2,:),grid(3,:),U,V,W));


end

